L2 Norm
Statistical Functions

## Functions

NppStatus | nppsNormL2GetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNorm_L2_32f. More...
NppStatus | nppsNormL2GetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsNorm_L2_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector L2 norm method More...
NppStatus | nppsNorm_L2_32f (const Npp32f *pSrc, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormL2GetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNorm_L2_64f. More...
NppStatus | nppsNormL2GetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsNorm_L2_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float vector L2 norm method More...
NppStatus | nppsNorm_L2_64f (const Npp64f *pSrc, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormL2GetBufferSize_16s32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNorm_L2_16s32f. More...
NppStatus | nppsNormL2GetBufferSize_16s32f (int nLength, int *hpBufferSize)
NppStatus | nppsNorm_L2_16s32f_Ctx (const Npp16s *pSrc, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer vector L2 norm method, return value is 32-bit float. More...
NppStatus | nppsNorm_L2_16s32f (const Npp16s *pSrc, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormL2GetBufferSize_32fc64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNorm_L2_32fc64f. More...
NppStatus | nppsNormL2GetBufferSize_32fc64f (int nLength, int *hpBufferSize)
NppStatus | nppsNorm_L2_32fc64f_Ctx (const Npp32fc *pSrc, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float complex vector L2 norm method, return value is 64-bit float. More...
NppStatus | nppsNorm_L2_32fc64f (const Npp32fc *pSrc, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormL2GetBufferSize_64fc64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNorm_L2_64fc64f. More...
NppStatus | nppsNormL2GetBufferSize_64fc64f (int nLength, int *hpBufferSize)
NppStatus | nppsNorm_L2_64fc64f_Ctx (const Npp64fc *pSrc, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float complex vector L2 norm method, return value is 64-bit float. More...
NppStatus | nppsNorm_L2_64fc64f (const Npp64fc *pSrc, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormL2GetBufferSize_16s32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNorm_L2_16s32s_Sfs. More...
NppStatus | nppsNormL2GetBufferSize_16s32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsNorm_L2_16s32s_Sfs_Ctx (const Npp16s *pSrc, int nLength, Npp32s *pNorm, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer vector L2 norm method, return value is 32-bit signed integer. More...
NppStatus | nppsNorm_L2_16s32s_Sfs (const Npp16s *pSrc, int nLength, Npp32s *pNorm, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsNormL2SqrGetBufferSize_16s64s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNorm_L2Sqr_16s64s_Sfs. More...
NppStatus | nppsNormL2SqrGetBufferSize_16s64s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsNorm_L2Sqr_16s64s_Sfs_Ctx (const Npp16s *pSrc, int nLength, Npp64s *pNorm, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer vector L2 Square norm method, return value is 64-bit signed integer. More...
NppStatus | nppsNorm_L2Sqr_16s64s_Sfs (const Npp16s *pSrc, int nLength, Npp64s *pNorm, int nScaleFactor, Npp8u *pDeviceBuffer)

## Detailed Description

## Function Documentation

NppStatus nppsNorm_L2_16s32f | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNorm_L2_16s32f_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer vector L2 norm method, return value is 32-bit float.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormL2GetBufferSize_16s32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_L2_16s32s_Sfs | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pNorm,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNorm_L2_16s32s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pNorm,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer vector L2 norm method, return value is 32-bit signed integer.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormL2GetBufferSize_16s32s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_L2_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNorm_L2_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector L2 norm method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormL2GetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_L2_32fc64f | ( | const Npp32fc * | pSrc,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNorm_L2_32fc64f_Ctx | ( | const Npp32fc * | pSrc,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float complex vector L2 norm method, return value is 64-bit float.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormL2GetBufferSize_32fc64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_L2_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNorm_L2_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float vector L2 norm method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormL2GetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_L2_64fc64f | ( | const Npp64fc * | pSrc,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNorm_L2_64fc64f_Ctx | ( | const Npp64fc * | pSrc,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float complex vector L2 norm method, return value is 64-bit float.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormL2GetBufferSize_64fc64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_L2Sqr_16s64s_Sfs | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp64s * | pNorm,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNorm_L2Sqr_16s64s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp64s * | pNorm,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer vector L2 Square norm method, return value is 64-bit signed integer.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormL2SqrGetBufferSize_16s64s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormL2GetBufferSize_16s32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormL2GetBufferSize_16s32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNorm_L2_16s32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormL2GetBufferSize_16s32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormL2GetBufferSize_16s32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNorm_L2_16s32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormL2GetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormL2GetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNorm_L2_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormL2GetBufferSize_32fc64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormL2GetBufferSize_32fc64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNorm_L2_32fc64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormL2GetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormL2GetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNorm_L2_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormL2GetBufferSize_64fc64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormL2GetBufferSize_64fc64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNorm_L2_64fc64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormL2SqrGetBufferSize_16s64s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormL2SqrGetBufferSize_16s64s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNorm_L2Sqr_16s64s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2018 NVIDIA Corporation